PR_SET_MM_START_BRK(2const)

NAME
PR_SET_MM_START_BRK - modify kernel memory map descriptor fields

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_MM, PR_SET_MM_START_BRK, unsigned long addr, 0L, 0L);

DESCRIPTION
Set the address above which the program heap can be expanded with brk(2) call.

The address must be greater than the ending address of the current program data segment. In addition, the combined size of the resulting heap and the data segment can't exceed the RLIMIT_DATA resource limit (see setrlimit(2)).

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    addr is greater than TASK_SIZE (the limit on the size of the user address space for this architecture).

EINVAL
    addr is less than or equal to the end of the data segment or specifies a value that would cause the RLIMIT_DATA resource limit to be exceeded.

STANDARDS
Linux.

HISTORY
Linux 3.3.

SEE ALSO
prctl(2), PR_SET_MM(2const)